

from flask_wtf import FlaskForm
from wtforms import StringField, SelectField, TextAreaField, SubmitField
from wtforms.validators import DataRequired, Length, NumberRange, ValidationError
from common.proto.context_pb2 import DeviceOperationalStatusEnum

class UpdateDeviceForm(FlaskForm):
   power = StringField('Power')
   frequency= StringField("Frequency")
   operational_mode=StringField("Operational Mode")
   line_port=SelectField("Line Port")
   
                        
   submit = SubmitField('Update')

class AddTrancseiver (FlaskForm):
   transceiver = StringField("Transceiver")   
   submit = SubmitField('Add')
class UpdateInterfaceForm (FlaskForm):
   ip=StringField("IP Address")
   prefix_length=StringField("Prefix Length")   